Bug 23278 - Reopen last panel upon "Save and continue" in notices
Summary: Reopen last panel upon "Save and continue" in notices
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Nick Clemens
URL:
Keywords:
Depends on: 18847
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-08 13:16 UTC by Owen Leonard
Modified: 2019-08-13 21:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23278: Reopen last panel upon "Save and continue" in notices (3.76 KB, patch)
2019-07-08 14:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23278: Reopen last panel upon "Save and continue" in notices (3.80 KB, patch)
2019-07-12 21:04 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23278: Reopen last panel upon "Save and continue" in notices (3.87 KB, patch)
2019-07-19 11:34 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-08 13:16:40 UTC
In notices, when using the "Save and continue" option, the user should be redirected back to the editing page with the same panel open which they were previously editing.
Comment 1 Owen Leonard 2019-07-08 14:06:02 UTC
Created attachment 91407 [details] [review]
Bug 23278: Reopen last panel upon "Save and continue" in notices

This patch modifies the Notices edit process so that if the user chooses
the "Save and continue" option the page reloads with the same panel open
which they were previously editing in.

To test, apply the patch and go to Tools -> Notices and Slips.

 - Open a notice for editing.
 - Expand one of the sections.
 - Choose "Save and continue" from the button menu in the toolbar.
   - When the page reloads, the section you expanded should be open
     again.
 - Test each section and test with no sections expanded.
Comment 2 Maryse Simard 2019-07-12 21:04:05 UTC
Created attachment 91509 [details] [review]
Bug 23278: Reopen last panel upon "Save and continue" in notices

This patch modifies the Notices edit process so that if the user chooses
the "Save and continue" option the page reloads with the same panel open
which they were previously editing in.

To test, apply the patch and go to Tools -> Notices and Slips.

 - Open a notice for editing.
 - Expand one of the sections.
 - Choose "Save and continue" from the button menu in the toolbar.
   - When the page reloads, the section you expanded should be open
     again.
 - Test each section and test with no sections expanded.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Nick Clemens 2019-07-19 11:34:44 UTC
Created attachment 91637 [details] [review]
Bug 23278: Reopen last panel upon "Save and continue" in notices

This patch modifies the Notices edit process so that if the user chooses
the "Save and continue" option the page reloads with the same panel open
which they were previously editing in.

To test, apply the patch and go to Tools -> Notices and Slips.

 - Open a notice for editing.
 - Expand one of the sections.
 - Choose "Save and continue" from the button menu in the toolbar.
   - When the page reloads, the section you expanded should be open
     again.
 - Test each section and test with no sections expanded.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-07-19 13:06:38 UTC
Love this little fix :)
Comment 5 Martin Renvoize 2019-07-19 13:07:58 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-08-06 14:46:47 UTC
Its nearly a bug, and its small so I choose to push to stable

Pushed to 19.05.x for 19.05.03
Comment 7 Lucas Gass 2019-08-13 21:16:24 UTC
i love this enhancement, backporting to 18.11.x for 18.11.09